Only allow release images in helm charts 77/88777/1
authorGary Wu <gwu@futurewei.com>
Wed, 29 May 2019 14:30:34 +0000 (07:30 -0700)
committerGary Wu <gwu@futurewei.com>
Wed, 29 May 2019 14:32:12 +0000 (07:32 -0700)
Going forward, only released docker images are
allowed in helm charts.  Teams wishing to test
staging versions need to do so via a helm
override file.

Issue-ID: INT-1055
Signed-off-by: Gary Wu <gwu@futurewei.com>
Change-Id: Ieba662f8ec3474cca1e0d55dd7e3692ffdb726f5

jjb/oom/oom-helm.yaml

index 43ae807..5a7d377 100644 (file)
         #!/bin/bash
         set -e -o pipefail
         cd kubernetes/
+        if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+          echo "[ERROR] Only release images are allowed in helm charts."
+          exit 1
+        fi
         make all
     subproject_build_script: |
         #!/bin/bash
         cd kubernetes/
+        if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+          echo "[ERROR] Only release images are allowed in helm charts."
+          exit 1
+        fi
         make common
         make {subproject}
     oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh